| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
IOX Class Reference
General

`#include <iox.h>`

Inheritance diagram for IOX:
[legend]

## Public Member Functions
| IOX (const char *nm, const DBKey &, bool mkdefs=false)
| IOX (const char *nm, const MultiID &, bool mkdefs=false)
| IOX (const char *nm=nullptr, const char *ky=nullptr, bool mkdefs=false)
| ~IOX ()
const char * | connType () const override
void | copyFrom (const IOObj *) override
const char * | dirName () const override
| The directory ame within the tree.
const char * | fullUserExpr (bool forread=true) const override
Conn * | getConn (bool) const override
IOObj * | getIOObj () const
bool | implExists (bool) const override
bool | isBad () const override
const MultiID & | ownKey () const
void | setOwnKey (const MultiID &)
Public Member Functions inherited from IOObj
virtual | ~IOObj ()
void | acquireNewKeyIn (const MultiID &)
| This will give the IOObj a new (free) ID.
IOObj * | clone () const
Translator * | createTranslator () const
virtual const OD::DataSetKey * | DSKey () const
virtual const OD::String & | group () const
virtual bool | hasConnType (const char *s) const
virtual bool | hasDSKey () const
virtual void | implFileNames (BufferStringSet &) const
virtual bool | implIsLink () const
virtual bool | implReadOnly () const
virtual bool | implRemove () const
virtual bool | implRename (const char *)
virtual bool | implSetReadOnly (bool) const
bool | isInCurrentSurvey () const
bool | isProcTmp () const
virtual bool | isSubdir () const
bool | isTmp () const
bool | isUserSelectable (bool forread=true) const
virtual const MultiID & | key () const
virtual BufferString | mainFileName () const
virtual int | nrImpls () const
virtual IOPar & | pars () const
uiString | phrCannotLoadObj () const
uiString | phrCannotOpenObj () const
uiString | phrCannotReadObj () const
uiString | phrCannotWriteObj () const
uiString | phrCannotWriteToDB () const
virtual void | setDirName (const char *s)
virtual void | setDSKey (const OD::DataSetKey &)
virtual void | setGroup (const char *s)
void | setKey (const char *nm)
void | setKey (const MultiID &key)
virtual void | setStatus (Status st)
void | setSurveyDefault () const
virtual void | setTranslator (const char *s)
virtual Status | status () const
virtual const OD::String & | translator () const
uiString | uiName () const
void | updateCreationPars () const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
bool | getFrom (ascistream &) override
bool | putTo (ascostream &) const override
Protected Member Functions inherited from IOObj
| IOObj (const char *nm, const char *kystr)
| IOObj (const char *nm, const DBKey &)
| IOObj (const char *nm, const MultiID &)
| IOObj (const IOObj &)
virtual int | myKey () const
bool | put (ascostream &) const

## Protected Attributes
MultiID | ownkey_
Protected Attributes inherited from IOObj
BufferString | dirnm_
const OD::DataSetKey * | dskey_ = nullptr
BufferString | group_
MultiID | key_
Status | status_ = Status::Unknown
BufferString | transl_
Protected Attributes inherited from NamedObject
BufferString | name_

## Static Protected Attributes
static int | prodid
| for factory implementation

## Additional Inherited Members
Public Types inherited from IOObj
enum class | Status { Unknown =0 , OK =1 , FileNotPresent =2 , ReadPermissionInvalid =3 , WrongObject =4 , BrokenLink =5 , FileEmpty =6 , FileDataCorrupt =7 , LibraryNotLoaded =8 , DataVersionInvalid =9 , Other =10 }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from IOObj
static int | addProducer (IOObjProducer *)
| Factory for IOObj types. Not for casual use.
static bool | isKey (const char *)
static bool | isSurveyDefault (const MultiID &)
| Checks the 'Default.' entries in SI().pars()
static int | tmpID ()
Static Protected Member Functions inherited from IOObj
static IOObj * | get (ascistream &, const char *dirnm, int grpid)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ IOX() [1/3]

IOX::IOX | ( | const char * | nm,
|  | const DBKey & | ,
|  | bool | mkdefs = false )

## ◆ ~IOX()

IOX::~IOX | ( |  | ) |

## ◆ IOX() [2/3]

IOX::IOX | ( | const char * | nm,
|  | const MultiID & | ,
|  | bool | mkdefs = false )

## ◆ IOX() [3/3]

IOX::IOX | ( | const char * | nm = nullptr,
|  | const char * | ky = nullptr,
|  | bool | mkdefs = false )

## Member Function Documentation

## ◆ connType()

const char * IOX::connType | ( |  | ) | const
| override virtual

Implements IOObj.

## ◆ copyFrom()

void IOX::copyFrom | ( | const IOObj * |  | ) |
| override virtual

Implements IOObj.

## ◆ dirName()

const char * IOX::dirName | ( |  | ) | const
| override virtual

The directory ame within the tree.

Reimplemented from IOObj.

## ◆ fullUserExpr()

const char * IOX::fullUserExpr | ( | bool | forread = true | ) | const
| override virtual

Implements IOObj.

## ◆ getConn()

Conn * IOX::getConn | ( | bool |  | ) | const
| override virtual

Implements IOObj.

## ◆ getFrom()

bool IOX::getFrom | ( | ascistream & |  | ) |
| override protected virtual

Implements IOObj.

## ◆ getIOObj()

IOObj * IOX::getIOObj | ( |  | ) | const

## ◆ implExists()

bool IOX::implExists | ( | bool |  | ) | const
| override virtual

Implements IOObj.

## ◆ isBad()

bool IOX::isBad | ( |  | ) | const
| override virtual

Implements IOObj.

## ◆ ownKey()

const MultiID & IOX::ownKey | ( |  | ) | const
| inline

## ◆ putTo()

bool IOX::putTo | ( | ascostream & |  | ) | const
| override protected virtual

Implements IOObj.

## ◆ setOwnKey()

void IOX::setOwnKey | ( | const MultiID & |  | ) |

## Member Data Documentation

## ◆ ownkey_

MultiID IOX::ownkey_
| protected

## ◆ prodid

int IOX::prodid
| static protected

for factory implementation

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025